cmake (3.31.6-2ubuntu6) questing; urgency=medium

  * Re-enable tests on arm64
  * Merge changes from Debian unstable:
    - Sanitize test environment
    - Fix FTBFS with curl 8.16+
    - Allow host prefix for GNU as (Closes: #1115461)
    - Prevent test suite failures if a '+' is in the source path

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Sep 2025 13:30:25 +0000

cmake (3.31.6-2ubuntu5) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 13 Sep 2025 16:03:33 +0000

cmake (3.31.6-2ubuntu4) questing; urgency=medium

  * Make boost 1.89 a known version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Aug 2025 22:01:31 +0200

cmake (3.31.6-2ubuntu3) questing; urgency=medium

  * Ignore test results on arm64 for a first build. See LP #2119445.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 19:40:47 +0200

cmake (3.31.6-2ubuntu2) questing; urgency=medium

  * Make boost 1.88 a known version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 08:19:19 +0200

cmake (3.31.6-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111544). Remaining changes:
    - d/rules, d/control: do not build the GUI for i386

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 22 May 2025 22:01:25 -0700

cmake (3.31.6-2) unstable; urgency=medium

  * Avoid using undocumented type fo CURLOPT_NETRC values (Closes: #1101604)

 -- Timo Röhling <roehling@debian.org>  Mon, 31 Mar 2025 16:09:14 +0200

cmake (3.31.6-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Do not build the GUI on i386.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Mar 2025 14:54:17 -0600

cmake (3.31.6-1) unstable; urgency=medium

  * New upstream version 3.31.6
  * Bump Standards-Version to 4.7.1

 -- Timo Röhling <roehling@debian.org>  Tue, 25 Feb 2025 09:21:18 +0100

cmake (3.31.5-2ubuntu3) plucky; urgency=medium

  * Do not build the GUI on i386.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 09 Feb 2025 12:07:03 -0600

cmake (3.31.5-2) unstable; urgency=medium

  * Migrate cmake-qt-gui to Qt 6

 -- Timo Röhling <roehling@debian.org>  Sat, 08 Feb 2025 21:57:44 +0100

cmake (3.31.5-1) unstable; urgency=medium

  * New upstream version 3.31.5

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Jan 2025 10:48:06 +0100

cmake (3.31.4-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Jan 2025 16:26:31 +0100

cmake (3.31.4-1) unstable; urgency=medium

  * New upstream version 3.31.4 (Closes: #1091023)

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Jan 2025 16:26:13 +0100

cmake (3.31.3-1) unstable; urgency=medium

  * New upstream version 3.31.3

 -- Timo Röhling <roehling@debian.org>  Sun, 05 Jan 2025 23:16:50 +0100

cmake (3.31.2-1) unstable; urgency=medium

  * New upstream version 3.31.2
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Dec 2024 21:42:00 +0100

cmake (3.31.1-1) unstable; urgency=medium

  * New upstream version 3.31.1
  * Update patches
    - Drop Fix-ImageMagick_-_ARCH_INCLUDE_DIR-detection.patch
    - Drop Recognize-Multi-Arch-libdir-for-musl-linux-any.patch
    - Drop LLD-linker-avoid-regression-on-archive-libraries-ded.patch
    All patches have been accepted and applied by upstream.

 -- Timo Röhling <roehling@debian.org>  Fri, 22 Nov 2024 23:59:06 +0100

cmake (3.31.0-2) unstable; urgency=medium

  * Avoid LLD linker regression on archive deduplication (Closes: #1087983)

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Nov 2024 16:01:07 +0100

cmake (3.31.0-1) unstable; urgency=medium

  * New upstream version 3.31.0
  * Update patches
    - Add metadata to patch for ImageMagick_ARCH_INCLUDE_DIR
    - New patch to recognize musl-linux-any multiarch dirs
      (Closes: #1085507)

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Nov 2024 10:31:58 +0100

cmake (3.30.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * patches/FindImageMagick-version7.patch: adapt for ImageMagick version 7.
    Closes #1087233.

 -- Steve M. Robbins <smr@debian.org>  Mon, 11 Nov 2024 17:24:10 -0600

cmake (3.30.5-1) unstable; urgency=medium

  * New upstream version 3.30.5

 -- Timo Röhling <roehling@debian.org>  Wed, 09 Oct 2024 08:14:22 +0200

cmake (3.30.4-1) unstable; urgency=medium

  * New upstream version 3.30.4
  * Refresh patch (no functional changes)
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Mon, 30 Sep 2024 00:19:08 +0200

cmake (3.30.3-1) unstable; urgency=medium

  * New upstream version 3.30.3
  * Update patches
    - Drop 0002-Support-finding-libjvm.so-for-all-OpenJDK-variants.patch
      (merged upstream)

 -- Timo Röhling <roehling@debian.org>  Fri, 30 Aug 2024 13:51:41 +0200

cmake (3.30.2-2) unstable; urgency=medium

  * Support finding libjvm.so for all OpenJDK variants (Closes: #1078712)

 -- Timo Röhling <roehling@debian.org>  Thu, 15 Aug 2024 10:53:08 +0200

cmake (3.30.2-1) unstable; urgency=medium

  * New upstream version 3.30.2
    - Fix test regression due to changed cURL output (Closes: #1077446)

 -- Timo Röhling <roehling@debian.org>  Fri, 02 Aug 2024 22:16:23 +0200

cmake (3.30.1-1) unstable; urgency=medium

  * New upstream version 3.30.1

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Jul 2024 20:57:46 +0200

cmake (3.30.0-1) unstable; urgency=medium

  * New upstream version 3.30.0
  * Test suite needs working Git now

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Jul 2024 15:36:28 +0200

cmake (3.29.6-1) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0
  * Remove obsolete CMAKE_USE_RELATIVE_PATHS=ON from build
  * New upstream version 3.29.6

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Jun 2024 15:41:05 +0200

cmake (3.29.5-1) unstable; urgency=medium

  * New upstream version 3.29.5

 -- Timo Röhling <roehling@debian.org>  Sat, 08 Jun 2024 23:24:40 +0200

cmake (3.29.4-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Drop kfreebsd-* specific build-depends, the ports have been removed

  [ Timo Röhling ]
  * New upstream version 3.29.4

 -- Timo Röhling <roehling@debian.org>  Tue, 04 Jun 2024 10:54:40 +0200

cmake (3.29.3-1) unstable; urgency=medium

  * New upstream version 3.29.3

 -- Timo Röhling <roehling@debian.org>  Sat, 11 May 2024 23:26:01 +0200

cmake (3.29.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Apr 2024 10:47:53 +0200

cmake (3.29.2-1) experimental; urgency=medium

  * New upstream version 3.29.2

 -- Timo Röhling <roehling@debian.org>  Sun, 14 Apr 2024 22:47:16 +0200

cmake (3.28.3-1) unstable; urgency=medium

  * New upstream version 3.28.3

 -- Timo Röhling <roehling@debian.org>  Tue, 06 Feb 2024 21:23:21 +0100

cmake (3.28.2-1) unstable; urgency=medium

  * New upstream version 3.28.2
    - Temporarily revert the changes that exposed the libuv1 bug
      with random segfaults on ppc64el and ppc64 (cf. #1057717).

 -- Timo Röhling <roehling@debian.org>  Fri, 02 Feb 2024 17:43:28 +0100

cmake (3.28.1-1) unstable; urgency=medium

  * New upstream version 3.28.1
    - Do not expect EINTR when sleep is interrupted on GNU/Hurd
      (Closes: #1057785)

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Dec 2023 22:41:16 +0100

cmake (3.28.0-1) unstable; urgency=medium

  * New upstream version 3.28.0
  * Install new cmake-cxxmodules(7) man page

 -- Timo Röhling <roehling@debian.org>  Thu, 07 Dec 2023 09:31:28 +0100

cmake (3.27.9-1) unstable; urgency=medium

  * New upstream version 3.27.9

 -- Timo Röhling <roehling@debian.org>  Sat, 02 Dec 2023 20:59:48 +0100

cmake (3.27.8-1) unstable; urgency=medium

  * New upstream version 3.27.8

 -- Timo Röhling <roehling@debian.org>  Sat, 18 Nov 2023 08:25:04 +0100

cmake (3.27.7-1) unstable; urgency=medium

  * New upstream version 3.27.7

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Oct 2023 23:31:53 +0200

cmake (3.27.6-1) unstable; urgency=medium

  * New upstream version 3.27.6

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Sep 2023 23:16:59 +0200

cmake (3.27.5-1) unstable; urgency=medium

  * New upstream version 3.27.5

 -- Timo Röhling <roehling@debian.org>  Fri, 15 Sep 2023 13:46:42 +0200

cmake (3.27.4-1) unstable; urgency=medium

  * New upstream version 3.27.4
    - Fix version detection for zlib 1.3

 -- Timo Röhling <roehling@debian.org>  Sat, 26 Aug 2023 19:56:02 +0200

cmake (3.27.3-1) unstable; urgency=medium

  * Clean __pycache__ from source tree (Closes: #1043733)
  * New upstream version 3.27.3

 -- Timo Röhling <roehling@debian.org>  Mon, 21 Aug 2023 10:28:27 +0200

cmake (3.27.2-1) unstable; urgency=medium

  * New upstream version 3.27.2

 -- Timo Röhling <roehling@debian.org>  Fri, 11 Aug 2023 12:19:26 +0200

cmake (3.27.1-2) unstable; urgency=medium

  * Fix pkg.cmake.bootstrap profile

 -- Timo Röhling <roehling@debian.org>  Sun, 30 Jul 2023 00:08:59 +0200

cmake (3.27.1-1) unstable; urgency=medium

  * New upstream version 3.27.1
  * Update patches
    - Drop backported bugfixes for Fortran regressions

 -- Timo Röhling <roehling@debian.org>  Wed, 26 Jul 2023 10:11:08 +0200

cmake (3.27.0-2) unstable; urgency=medium

  * Fix regressions with Fortran (Closes: #1041853)

 -- Timo Röhling <roehling@debian.org>  Tue, 25 Jul 2023 16:45:16 +0200

cmake (3.27.0-1) unstable; urgency=medium

  * New upstream version 3.27.0

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Jul 2023 00:34:17 +0200

cmake (3.27.0~rc5-1) experimental; urgency=medium

  * New upstream version 3.27.0~rc5
  * Drop 0002-Fix-regression-in-FindProtobuf.cmake.patch

 -- Timo Röhling <roehling@debian.org>  Fri, 14 Jul 2023 19:12:50 +0200

cmake (3.27.0~rc4-3) experimental; urgency=medium

  * Fix regression in FindProtobuf.cmake

 -- Timo Röhling <roehling@debian.org>  Fri, 14 Jul 2023 15:49:49 +0200

cmake (3.27.0~rc4-2) experimental; urgency=medium

  * Remove obsolete PythonInterp and PythonLibs from autopkgtest

 -- Timo Röhling <roehling@debian.org>  Wed, 12 Jul 2023 14:22:58 +0200

cmake (3.27.0~rc4-1) experimental; urgency=medium

  * New upstream version 3.27.0~rc4
  * Refresh patches
    - Drop 0002-Tolerate-empty-proc-cpuinfo.patch (merged upstream)
    - Drop 0003-Linux-Provide-multiarch-library-directory-regex-earl.patch
      (merged upstream)
    - Drop 0004-HIP-Fix-search-for-hip-lang-CMake-package-on-multiar.patch
      (merged upstream)
    - Drop 0005-HIP-Add-support-for-HIP-runtime-in-system-paths.patch
      (merged upstream)
  * Fix cmake_minimum_required() in findmodules test
  * New Build-Depend on libcppdap-dev

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Jul 2023 12:16:14 +0200

cmake (3.26.4-4) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Thu, 15 Jun 2023 23:32:16 +0200

cmake (3.26.4-3) experimental; urgency=medium

  [ Cordell Bloor ]
  * Fix HIP language integration (Closes: #1031799)

 -- Timo Röhling <roehling@debian.org>  Fri, 02 Jun 2023 22:32:20 +0200

cmake (3.26.4-2) experimental; urgency=medium

  * Tolerate empty /proc/cpuinfo

 -- Timo Röhling <roehling@debian.org>  Sun, 28 May 2023 13:14:04 +0200

cmake (3.26.4-1) experimental; urgency=medium

  * Do not build with link-time optimization (Closes: #1034873)
  * Fix obsolete Build-Depend on libncurses5-dev
  * Bump Standards-Version to 4.6.2
  * New upstream version 3.26.4
  * Enable hardening flags

 -- Timo Röhling <roehling@debian.org>  Tue, 23 May 2023 17:38:50 +0200

cmake (3.25.1-1) unstable; urgency=medium

  * New upstream version 3.25.1

 -- Timo Röhling <roehling@debian.org>  Wed, 30 Nov 2022 20:57:47 +0100

cmake (3.25.0-3) unstable; urgency=medium

  * Prefer default Python version regardless of CMP0094 (Closes: #1024625)

 -- Timo Röhling <roehling@debian.org>  Thu, 24 Nov 2022 21:45:01 +0100

cmake (3.25.0-2) unstable; urgency=medium

  * New patch to prefer Python default version.
    Now Python3_FIND_UNVERSIONED_NAMES is set to FIRST, so the
    default interpreter is checked first. (Closes: #1024625)
  * Stop shipping emacs cmake mode.
    That mode has been split into the separate package
    elpa-cmake-mode.

 -- Timo Röhling <roehling@debian.org>  Wed, 23 Nov 2022 22:35:39 +0100

cmake (3.25.0-1) unstable; urgency=medium

  * New upstream version 3.25.0
  * Drop obsolete 0001-Prefer-Debian-default-version-of-Python.patch.
    The same effect can be achieved with -DPython3_FIND_UNVERSIONED_NAMES=FIRST
  * Drop ancient d/NEWS

 -- Timo Röhling <roehling@debian.org>  Wed, 16 Nov 2022 21:17:45 +0100

cmake (3.24.3-1) unstable; urgency=medium

  * New upstream version 3.24.3

 -- Timo Röhling <roehling@debian.org>  Thu, 03 Nov 2022 08:51:17 +0100

cmake (3.24.2-2) unstable; urgency=medium

  * Improve discovery for Debian default version of Python

 -- Timo Röhling <roehling@debian.org>  Fri, 14 Oct 2022 11:19:20 +0200

cmake (3.24.2-1) unstable; urgency=medium

  * New upstream version 3.24.2
    - Revert AUTOMOC dummy function (Closes: #1019136)

 -- Timo Röhling <roehling@debian.org>  Tue, 13 Sep 2022 21:38:03 +0200

cmake (3.24.1-1) unstable; urgency=medium

  * New upstream version 3.24.1

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Aug 2022 17:28:16 +0200

cmake (3.24.0-1) unstable; urgency=medium

  * New upstream version 3.24.0

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Aug 2022 22:13:42 +0200

cmake (3.23.3-1) unstable; urgency=medium

  * New upstream version 3.23.3
  * Update Lintian overrides

 -- Timo Röhling <roehling@debian.org>  Fri, 29 Jul 2022 23:19:03 +0200

cmake (3.23.2-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1
  * New upstream version 3.23.2
    - Fix cmake-ncurses-gui crash when all cache items are deleted
      (Closes: #1010690)
  * Refresh patches
    - Drop Revert-commit-f745e049-temporarily.patch
      (applied upstream)

 -- Timo Röhling <roehling@debian.org>  Wed, 25 May 2022 21:02:25 +0200

cmake (3.23.1-2) unstable; urgency=medium

  * Work around regression with qa=+canary.
    Upstream has reverted the problematic commit for the
    next point release, pending further investigation. (Closes: #1009408)
  * Address hints from AppStream Report

 -- Timo Röhling <roehling@debian.org>  Wed, 20 Apr 2022 20:47:58 +0200

cmake (3.23.1-1) unstable; urgency=medium

  * Add AppStream metadata for cmake-qt-gui
  * New upstream version 3.23.1

 -- Timo Röhling <roehling@debian.org>  Wed, 13 Apr 2022 00:33:22 +0200

cmake (3.23.0-1) unstable; urgency=medium

  * New upstream version 3.23.0
  * Refresh patches
    - Keep Prefer-Debian-default-version-of-Python.patch
      (Debian specific)
    - Drop Fix-check_symbol_exists-with-pedantic-errors.patch
      (applied by upstream)

 -- Timo Röhling <roehling@debian.org>  Tue, 29 Mar 2022 21:46:55 +0200

cmake (3.22.1-1) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * d/control: Add cmake-format to Suggests: line

  [ Timo Röhling ]
  * New upstream version 3.22.1

 -- Timo Röhling <roehling@debian.org>  Wed, 08 Dec 2021 00:19:44 +0100

cmake (3.22.0-1) unstable; urgency=medium

  * Add lintian overrides for various false positives
  * New upstream version 3.22.0
  * Refresh patches
    - Drop Fix-cross-compilation-with-MPI.patch (applied upstream)
    - Drop Fix-RunCMake.CPack_DEB.EXTRA-on-Debian-non-Linux-OSe.patch
      (applied upstream)
    - Drop Make-FindFLTK-safe-to-include-multiple-times.patch
      (applied upstream)
    - Keep Prefer-Debian-default-version-of-Python.patch
      (Debian-specific)
    - Keep Fix-check_symbol_exists-with-pedantic-errors.patch
      (accepted by upstream, targeted for 3.23 release)

 -- Timo Röhling <roehling@debian.org>  Sat, 20 Nov 2021 13:55:40 +0100

cmake (3.21.4-1) unstable; urgency=medium

  * Also unset _proxy variables for ninja autopkgtest (Fixup for #960179)
  * New upstream version 3.21.4
  * Refresh patches
    - Keep Prefer-Debian-default-version-of-Python.patch
      (Debian-specific)
    - Update Fix-cross-compilation-with-MPI.patch
      (modified by upstream, targeted for 3.22 release)
    - Keep Fix-RunCMake.CPack_DEB.EXTRA-on-Debian-non-Linux-OSe.patch
      (accepted by upstream, targeted for 3.22 release)
    - Drop Fix-misinterpretation-of-Debian-Policy-on-LIBEXECDIR.patch
      (applied by upstream)
    - Keep Make-FindFLTK-safe-to-include-multiple-times.patch
      (accepted by upstream, targeted for 3.22 release)
    - Keep Fix-check_symbol_exists-with-pedantic-errors.patch
      (accepted by upstream, targeted for 3.23 release)

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Nov 2021 14:18:06 +0100

cmake (3.21.3-5) unstable; urgency=medium

  * Package can be cross-compiled now
  * Make FindFLTK safe to include multiple times (Closes: #671746)
  * Fix check_symbols_exists() with -pedantic-errors (Closes: #777542)

 -- Timo Röhling <roehling@debian.org>  Fri, 22 Oct 2021 14:24:08 +0200

cmake (3.21.3-4) unstable; urgency=medium

  * Fix misinterpretation of Debian Policy on LIBEXECDIR
  * New build profile: cmake.pkg.nogui

 -- Timo Röhling <roehling@debian.org>  Thu, 07 Oct 2021 21:03:50 +0200

cmake (3.21.3-3) unstable; urgency=medium

  * Fix FTBFS on non-Linux systems (Closes: #995288)

 -- Timo Röhling <roehling@debian.org>  Wed, 29 Sep 2021 10:25:25 +0200

cmake (3.21.3-2) unstable; urgency=medium

  * Prevent dh_elpha from disabling the test suite
  * Make dh_elpa B-D-Indep
  * Skip spuriously failing tests on kfreebsd-*
  * New build profile: pkg.cmake.bootstrap

 -- Timo Röhling <roehling@debian.org>  Sat, 25 Sep 2021 14:34:09 +0200

cmake (3.21.3-1) unstable; urgency=medium

  * New upstream version 3.21.3
  * Migrate emacsen helpers to dh_elpa (Closes: #802915)
    - M-x cmake-mode autoload is interactive now (Closes: #729598)
  * Update d/watch to version 4

 -- Timo Röhling <roehling@debian.org>  Tue, 21 Sep 2021 00:36:54 +0200

cmake (3.21.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entries 1.2-1, 1.0-1, 1.2-1, 1.0-1.
  * Drop transition for old debug package migration.

  [ Timo Röhling ]
  * New upstream version 3.21.2
    - Map LANGUAGE source file property to compiler language flag
      (Closes: #728108)
    - Rewrite documentation for UseJava.cmake (Closes: #986327)
    - Add PostgreSQL 13 to list of known versions (Closes: #990623)
  * Update patches
    - Drop Compile_with_FILE_OFFSET_BITS_64_on_32-bit_Linux.patch
      (accepted by upstream)
    - Drop disable_fileapi_json_extra_test.patch
      (no longer needed)
    - New patch Fix-cross-compilation-with-MPI.patch (Closes: #943312)
    - New patch Prefer-Debian-default-version-of-Python.patch (Closes: #945825)
  * Bump Standards-Version to 4.6.0
  * Switch to debhelper version 13
  * Unset *_proxy variables in autopkgtest (Closes: #960179)
  * Add myself to uploaders
  * Mark cmake-doc as Multi-Arch: foreign

 -- Timo Röhling <roehling@debian.org>  Tue, 14 Sep 2021 18:05:46 +0200

cmake (3.18.4-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Drop unused Build-Depends: libbz2-dev and liblzma-dev. (Closes: #981135)
    Compression support is handled via libarchive.

  [ Felix Geyer ]
  * Mark cmake-data as Multi-Arch: foreign. (Closes: #973392)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 07 Feb 2021 10:23:34 +0100

cmake (3.18.4-1) unstable; urgency=medium

  [ Tobias Frost ]
  * B-D on libarchive >=3.3.3 (Closes: #972252)

  [ Kyle Edwards ]
  * Set --docdir to actual destination

  [ Felix Geyer ]
  * New upstream release
  * Cherry-pick commit to build with -D_FILE_OFFSET_BITS=64 on 32bit archs.
    - Add Compile_with_FILE_OFFSET_BITS_64_on_32-bit_Linux.patch
    - Closes: #965046

 -- Felix Geyer <fgeyer@debian.org>  Mon, 19 Oct 2020 16:20:14 +0200

cmake (3.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop FindPkgConfig_also_handle_isystem.patch, applied upstream.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 30 Aug 2020 14:41:24 +0200

cmake (3.16.3-3) unstable; urgency=medium

  * Handle -isystem from pkg-config correctly. (Closes: #959064)
    - Cherry-pick upstream patch in FindPkgConfig_also_handle_isystem.patch

 -- Felix Geyer <fgeyer@debian.org>  Sat, 09 May 2020 15:40:54 +0200

cmake (3.16.3-2) unstable; urgency=medium

  * Build-depend on python3-sphinxcontrib.qthelp for sphinx >= 2.0
    (Closes: #955120)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 19 Apr 2020 18:07:42 +0200

cmake (3.16.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #949964)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 02 Feb 2020 14:59:35 +0100

cmake (3.15.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #944090)
  * Disable FIleAPI json-extra test for now as it doesn't seem critical and
    fails with libjsoncpp 1.7.4.
  * Switch to debhelper compat level 12.
  * Pass --fail-missing to dh_missing.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 12 Nov 2019 20:11:25 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog cmake`.
